# frozen_string_literal: true

require 'lazy/config_for/railtie'
require 'rails'

module Lazy
  class ConfigFor
    def method_missing(m, *_args)
      Rails.application.config_for m
    rescue StandardError
      raise StandardError, "Config #{m} not found"
    end

    # Your code goes here...
  end
end
